<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: spoiler_bbcode_include.php
| Author: bartek124
| Web: http://www.bartek124.net
| E-Mail: bartek@bartek124.net
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (function_exists("add_to_head")) {
    add_to_head("<script type='text/javascript'>\n".
    "/* <![CDATA[ */var locale = [];\n".
    "locale['bb_spoiler_show'] = '".$locale['bb_spoiler_show']."';\n".
    "locale['bb_spoiler_hide'] = '".$locale['bb_spoiler_hide']."';\n".
    "$(function() {\n".
    "   $('div.spoiler-bbcode > div.spoiler-bbcode-content').css('display', 'none');\n".
    "   $('div.spoiler-bbcode > div.spoiler-bbcode-header > a').css('display', 'inline').click(function() {\n".
    "       var el = $(this).parent().parent().find('div.spoiler-bbcode-content');\n".
    "       if ($(el).css('display') == 'none') {\n".
    "           $(el).slideDown();\n".
    "           $(this).text(locale['bb_spoiler_hide']);\n".
    "       } else {\n".
    "           $(el).slideUp();\n".
    "           $(this).text(locale['bb_spoiler_show']);\n".
    "       }\n".
    "       return false;\n".
    "   });\n".
    "});/* //]]> */\n".
    "</script>");
}

$text = preg_replace("#\[spoiler=(.*?)\](.*?)\[/spoiler\]#sie", "'<div class=\'spoiler-bbcode\' style=\'width:80%\'><div class=\'spoiler-bbcode-header tbl-border tbl2\'><strong>\\1</strong> :: <a href=\'#\' style=\'display:none;\'>".$locale['bb_spoiler_show']."</a></div><div class=\'spoiler-bbcode-content tbl-border tbl1\' style=\'border-top: none\'>\\2</div></div>'", $text);

$text = preg_replace("#\[spoiler\](.*?)\[/spoiler\]#sie", "'<div class=\'spoiler-bbcode\' style=\'width:80%\'><div class=\'spoiler-bbcode-header tbl-border tbl2\'><strong>".$locale['bb_spoiler_title']."</strong> :: <a href=\'#\' style=\'display:none;\'>".$locale['bb_spoiler_show']."</a></div><div class=\'spoiler-bbcode-content tbl-border tbl1\' style=\'border-top: none\'>\\1</div></div>'", $text);
?>